Subject: Re: git rebase --skip stuck in a loop

From: Phillip Susi <[email-masked]>
Date: Thu, 12 Jun 2014 17:01:16 -0400

So nobody has any ideas on what to check for or how to debug this?

On 6/10/2014 2:57 PM, Phillip Susi wrote:
> I'm in the middle of a long rebase and have had no trouble with
> git rebase --skip several times, but now it has become stuck:
> 
> psusi@devserv:~/parted.git$ git rebase --skip Auto-merging
> libparted/arch/linux.c CONFLICT (content): Merge conflict in
> libparted/arch/linux.c
> 
> When you have resolved this problem, run "git rebase --continue". 
> If you prefer to skip this patch, run "git rebase --skip" instead. 
> To check out the original branch and stop rebasing, run "git
> rebase --abort".
> 
> psusi@devserv:~/parted.git$ cat .git/rebase-merge/msgnum 17
> 
> Each time I try to skip, it just keeps trying to reapply this one 
> patch.  Any ideas?
> 
> git version 1.9.1
>